<html>
  <head>
    <base href="/" />
    <title>Ceci est mon titre</title>
    <link
      href="https://fonts.googleapis.com/css?family=Roboto&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" type="text/css" href="style.css" />
  </head>
  <body>
    <script>
      Promise.resolve(true).then((val) => console.log(val));

      Promise.reject(false).catch((val) => console.error(val));

      const getPromise = (isResolved) => {
        return new Promise((resolve, reject) => {
          if (isResolved) resolve(true);
          else reject(false);
        });
      };

      let result;

      // option A - promesse simple avec succès
      const consumeA = (isResolved = true) => {
        getPromise(isResolved)
          .then((val) => {
            result = val;
          })
          .catch((err) => console.error(err));
      };
      consumeA();
      consumeA(false);

      // option B - promesse async/await
      const consumeB = async (isResolved = true) => {
        try {
          result = getPromise(isResolved);
        } catch (err) {
          console.error(err);
        }
      };
      consumeB();
      consumeB(false);
    </script>
  </body>
</html>
